## kdeclarative5-5.116.0-2.src.tar.gz

=== src/kpackagelauncherqml/CMakeLists.txt ===


set(kpackagelauncherqml_SRCS
    main.cpp
)

add_executable(kpackagelauncherqml ${kpackagelauncherqml_SRCS})

#find_package(ActiveApp REQUIRED)

target_link_libraries(kpackagelauncherqml
 Qt${QT_MAJOR_VERSION}::Gui
 Qt${QT_MAJOR_VERSION}::Quick
 Qt${QT_MAJOR_VERSION}::Widgets #needs a qapplication for the Desktop QtControlsStyle
 KF5::Declarative
 KF5::I18n
 KF5::Package
 KF5::QuickAddons
)

install(TARGETS kpackagelauncherqml ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>
# Maintainer: Antonio Rojas <arojas@archlinux.org>
# Contributor: Andrea Scarpino <andrea@archlinux.org>

_name=kdeclarative
pkgname=${_name}5
pkgver=5.116.0
pkgrel=2
pkgdesc='Provides integration of QML and KDE Frameworks'
arch=(x86_64)
url='https://community.kde.org/Frameworks'
license=(LGPL)
depends=(kio5 kpackage5 libepoxy)
makedepends=(extra-cmake-modules)
conflicts=("$_name<5.111")
replaces=("$_name<5.111")
groups=(kf5)
source=(https://download.kde.org/stable/frameworks/${pkgver%.*}/$_name-$pkgver.tar.xz{,.sig})
sha256sums=('9e7f9c2ac3d22dec3baa0a0fc17a9366ffb442c41cdb81c37cf65ca462eac55f'
            'SKIP')
validpgpkeys=(53E6B47B45CEA3E0D5B7457758D0EE648A48B3BB) # David Faure <faure@kde.org>

build() {
  cmake -B build -S $_name-$pkgver \
    -DBUILD_TESTING=OFF
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
